import 'package:flutter/material.dart';

class LabColorConfig {
  // 测试用色
  static const base900 = Color(0xFFebecfb);
  static const base800 = Color(0xFFcbd3e5);
  static const base700 = Color(0xFFaeb5cb);
  static const base600 = Color(0xFF8f98b2);
  static const base500 = Color(0xFF79839f);
  static const base400 = Color(0xFF626e8d);
  static const base300 = Color(0xFF1b1d23);
  static const base200 = Color(0xFF212839);
  static const base100 = Color(0xFF161A25);

  static const text100 = Color(0xFFebecfb);
  static const text200 = Color(0xFFebecfb);
  static const text300 = Color(0xFFebecfb);
  static const text400 = Color(0xFFebecfb);
  static const text500 = Color(0xFFebecfb);
  static const text600 = Color(0xFFebecfb);
  static const text700 = Color(0xFFebecfb);
  static const text800 = Color(0xFFebecfb);
  static const text900 = Color(0xFFebecfb);

  /// green
  static const green100 = Color(0xFFE6FFEB);
  static const green200 = Color(0xFFB7F7C9);
  static const green300 = Color(0xFF7FF49A);
  static const green400 = Color(0xFF4EE072);
  static const green500 = Color(0xFF1EDC4A);
  static const green600 = Color(0xFF0FAE2F);
  static const green700 = Color(0xFF0A7D1F);
  static const green800 = Color(0xFF065114);
  static const green900 = Color(0xFF03300A);

  /// white 各主题下永远是白色
  static const white = Color(0xFFEDF0F7);

  /// 标题色
  static const mainPageHeaderColor = Color(0xFF11234F);

  ///弹框标题色
  static const dialogHeaderColor = Color(0xFF2759b4);

  static const tabBarButtonColor = Color(0xFF11234F);

  /// 按钮颜色
  static const buttonColor = Color(0xFF11234F);

  /// 按钮悬浮颜色
  static const hoverButtonColor = Color(0xFF193374);

  /// 成员卡片颜色 -300
  static const memberCardColor = Color(0xFF444e66);

  /// 悬浮字体背景颜色 -100
  static const hoverTextBgColor = Color(0xFF212839);

  /// 未选中 -500
  static const selectMeasureBgColor = Color(0xFF79839f);

  /// 选中 -200
  static const noSelectMeasureBgColor = Color(0xFF212839);

  /// 特殊高亮色 用在标签底色以及列表分类的高亮 == buttonColor
  static const specialHighlightColor = Color(0xFF11234F);
}
